#ifndef FINDWINDOW_H 
#define FINDWINDOW_H

#include <qmainwindow.h>
#include <qcombobox.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qlayout.h>
#include <qlabel.h>


class FindWindow : public QGroupBox
{
	Q_OBJECT

public:
	FindWindow (QWidget* parent=0, const char* namme=0);

public slots:	
	void popup();
	void cancelPressed();
	void findPressed();
	void findTextChanged(const QString&);

signals:
	void findButton(QString);		// emit to mainwindow
	void somethingChanged();	// emit to mainwindow

private:
	QGroupBox *findbox;
	QComboBox *findcombo;
	QPushButton *clearbutton;
	QPushButton *findbutton;
	QPushButton *cancelbutton;
};


#endif
